restic backup(1)

NAME

restic-ls - List files in a snapshot

SYNOPSIS

restic ls [flags] [snapshotID] [dir...]

DESCRIPTION

The "ls" command lists files and directories in a snapshot.

The special snapshot ID "latest" can be used to list files and directories of the latest snapshot in the repository. The --host flag can be used in conjunction to select the latest snapshot originating from a certain host only.

File listings can optionally be filtered by directories. Any positional arguments after the snapshot ID are interpreted as absolute directory paths, and only files inside those directories will be listed. If the --recursive flag is used, then the filter will allow traversing into matching directories' subfolders. Any directory paths specified must be absolute (starting with a path separator); paths use the forward slash '/' as separator.

OPTIONS

-h, --help[=false]
    help for ls

-H, --host=""
    only consider snapshots for this host, when no snapshot ID is given

-l, --long[=false]
    use a long listing format showing size and mode

--path=[]
    only consider snapshots which include this (absolute) path, when no snapshot ID is given

--recursive[=false]
    include files in subfolders of the listed directories

--tag=[]
    only consider snapshots which include this taglist, when no snapshot ID is given

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    specify a shell command to obtain a password (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level n)

SEE ALSO

restic(1)